Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Hand-Keyed Authorizations


To obtain an authorization when the payment terminal cannot capture the card data electronically through other entry modes, hand key or manually enter the customer's card data in your POS system.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

A successful response returns status=AUTHORIZED.

{  "clientReferenceInformation": {    "code": "123456",    "transactionId": "12233445679",    "partner": {      "thirdPartyCertificationNumber": "123456789012"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "ignoreAvsResult": "true",      "ignoreCvResult": "true"    }  },  "pointOfSaleInformation": {    "entryMode": "keyed",    "terminalCapability": "4",    "terminalPinCapability": "6"  },  "paymentInformation": {    "card": {      "number": "4xxxxxxxxxxx1111",      "securityCode": "123",      "expirationMonth": "12",      "expirationYear": "2031",      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9604.00",      "currency": "USD"    },    "billTo": {      "postalCode": "94538"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20230724085022"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6080032225246314603005/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6080032225246314603005"    }  },  "clientReferenceInformation": {    "code": "123456"  },  "id": "6080032225246314603005",  "orderInformation": {    "amountDetails": {      "totalAmount": "9604.00",      "authorizedAmount": "9604.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "173156",    "approvalCode": "831000",    "cardVerification": {      "resultCodeRaw": "M",      "resultCode": "M"    },    "networkTransactionId": "016153570198200",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Z",      "codeRaw": "Z"    }  },  "reconciliationId": "6080032225246314603005",  "status": "AUTHORIZED",  "submitTimeUtc": "2020-12-15T03:33:42Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationyear—
paymentInformation.card.number—
pointOfSaleInformation.cardPresentSet the value to true.
pointOfSaleInformation.entryModeSet the value to keyed.
pointOfSaleInformation.terminalCapabilitySet the value to 1, 2, 3, 4, or 5.
pointOfSaleInformation.terminalPinCapability—
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.